Pinto::Remote(3pm)

NAME
Pinto::Remote - Interact with a remote Pinto repository

VERSION
version 0.097

SYNOPSIS
See pinto to create and manage a Pinto repository.

See pintod to allow remote access to your Pinto repository.

See Pinto::Manual for more information about the Pinto tools.

DESCRIPTION
Pinto::Remote is the cousin of Pinto. It provides the same API, but instead of running Actions against a local repository, it just sends the Action parameters to a pintod server that invokes Pinto on the remote host.

If you are using the pinto application, it will automatically load either Pinto or Pinto::Remote depending on whether your repository root looks like a local directory path or a remote URL.

METHODS

  run( $action_name => %action_args )
Loads the Action subclass for the given $action_name and constructs an object using the given $action_args. If the subclass "Pinto::Remote::Action::$action_name" does not exist, then it falls back to the Pinto::Remote::Action base class.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.